cordova相关内容

android webview中的HTML文件输入(android 4.4,kitkat)

我在 android webview 上使用了 .由于这个线程,我让它工作了:WebView 中的文件上传 但是接受的答案(或任何其他答案)不再适用于 android 4.4 kitkat webview. 有人知道怎么解决吗? 它也不适用于目标 18. 我查看了一些 android 4.4 源代码,似乎 WebChromeClient ..
发布时间:2021-11-27 12:35:03 移动开发

PhoneRTC 64 位支持吗?

PhoneRTC 目前不支持 64 位设备.从 2015 年 2 月 1 日起,Apple 要求所有 iOS 应用都支持 64 位设备. 因此,很快 PhoneRTC 将不再是在 iOS 应用程序中包含视频聊天的可行选项.此问题已在 Github 上的 PhoneRTC 存储库 上报告,但到目前为止还没有人接受. 有人知道可以让 PhoneRTC 支持 64 位设备的方法还是合适的替代 ..
发布时间:2021-11-25 06:24:30 C#

找不到参数 [] 的方法 getCompileConfiguration()

我收到以下错误. 无法为参数 [] 找到方法 getCompileConfiguration()类型对象com.android.build.gradle.internal.api.ApplicationVariantImpl. 解决方案 我遇到了类似的问题,在互联网上花了一些时间后,我找到了以下解决方案.如果您在 build.gradle 中使用最新版本的 google-servic ..
发布时间:2021-11-21 21:37:16 Android

Android Studio 和 PhoneGap,Android 模块不受 gradle 支持

不久前,我使用过 Eclipse 和 Phonegap,并成功部署了一些 Android 应用程序.所以现在我正在尝试在 Android Studio 中启动并运行新的 Phonegap/Cordova 应用程序,但到目前为止还没有任何运气.这是我尝试过的: 1) 我已经生成了一个cordova 应用程序并添加了android 作为平台. cordova 创建 hello com.exam ..
发布时间:2021-11-21 20:46:00 Android

无法构建 android gradle 项目 - 用于cordova 项目

我无法构建 gradle 项目,即使我编辑了 gradle 属性,我也会收到以下错误: 错误:(22, 1) 评估根项目“android"时出现问题.>未能应用插件 [id 'android']>需要 Gradle 2.10 版.当前版本是 2.2.1.如果使用 gradle 包装器,请尝试将 C:\Users\salangar\angular-cordova-tickrv0.1\platfor ..
发布时间:2021-11-21 20:45:04 Android

PANIC:缺少“x86"CPU 的模拟器引擎程序.视窗 10

我有这个cordova应用程序并试图运行 cordova 平台添加android科尔多瓦模拟安卓 但它从控制台给我以下错误 当我从 android studio 检查时,一切似乎都已安装 下面是我的安卓工作室信息 还有我的环境变量 我可以从文件夹位置确认我放置的那些路径存在,任何帮助,想法? 解决方案 检查这个答案:PANIC: Missing emulator ..
发布时间:2021-11-21 20:43:28 Android

Android 控制台显示:W/art: Attempt to remove non-JNI local reference

我刚刚设置了我的第一个 Cordova 项目并安装了 OneSignal 推送通知.这一切都按我的预期工作,但是 Android 开发人员工具在控制台中显示了这一点: W/art: 尝试删除非 JNI 本地引用,转储线程W/art:尝试删除非 JNI 本地引用,转储线程W/art:尝试删除非 JNI 本地引用,转储线程W/art:尝试删除非 JNI 本地引用,转储线程W/art:尝试删除非 JN ..
发布时间:2021-11-21 20:41:52 Android

“Gradle 同步失败:未找到已安装的构建工具.安装 Android 构建工具版本 19.1.0 或更高版本"

我正在尝试在 Android Studio 中打开一个 Ionic2 项目,但它在事件日志中显示了以下错误:“Gradle 同步失败:未找到已安装的构建工具.安装 Android 构建工具版本 19.1.0 或更高版本.有关详细信息,请查阅 IDE 日志(帮助 | 显示日志)"屏幕截图 我之前看到过一个类似的问题(也可能是最新版本的 Ionic2 或 Cordova 破坏了一些东西 -> h ..
发布时间:2021-11-21 20:38:43 Android

Cordova/Ionic 构建 android Gradle 错误:支持的最低 Gradle 版本为 2.14.1.当前版本是 2.13

这是我想记录的上述错误的解决方案.我发现了其他类似的帖子,但没有一个描述此错误如何与 Cordova 或 Ionic 相关联. 如果您不小心,Android Studio 使用的 Gradle 版本与 Cordova/cordova-android 在其自动生成的应用程序代码中指定的 Gradle 版本之间可能存在不匹配.如您所知,运行 $cordova 平台添加android (或 $ ..
发布时间:2021-11-21 20:31:03 Android

Phonegap 3 不适用于 Android Studio

这对我来说似乎很简单,但我根本做不到. 我有 npm install -g phonegap 一切都成功并安装了 phonegap. 我按照这里的说明 http://phonegap.com/install/ 然后我创建了我的项目: C:\var\www\sexdiaries.co.uk>phonegap create sexdiaries -n SexDiaries -i co.u ..
发布时间:2021-11-21 20:18:08 Android

如何设置具有 IDE 支持的 Cordova 插件项目?

我一直在努力设置我的cordova插件项目.主要是由于以下事实: 插件需要在远离主项目的单独文件夹中 例如,当我使用 cordova build android 构建项目时,cordova 从我的插件文件夹中复制 java 文件并将其放入 platforms/android/src 文件夹. 因此我不应该手动修改 Android 项目中我的插件的 .java 文件,我必须在我的插 ..
发布时间:2021-11-21 19:15:45 Android

在 android studio 中构建 Ionic 框架

我正在尝试通过 IONIC 框架创建一个混合应用程序,该框架显示通过 HTML5 Canvas 和 JS 实现的多个移动图形.但是,动画在手机(即使是 1GB RAM 的手机)中的渲染速度非常慢. 我们已经识别并下载了 FastCanvas(Cordova/PhoneGap 插件).我们按照 URL 中给出的说明进行操作 - https://github.com/phonegap/phone ..
发布时间:2021-11-21 19:06:18 Android

如何解决离子构建错误“java heap space"?

我有一个离子项目.该应用程序之前已成功构建并在我的 android 手机中运行.但是突然有一天,当我运行命令“ionic cordova run android"时,我收到如下构建错误: 任务 ':transformClassesWithDexForDebug' 执行失败.com.android.build.api.transform.TransformException:com.andro ..
发布时间:2021-11-21 19:05:54 Android

如何解决离子构建错误“java heap space"?

我有一个离子项目.该应用程序之前已成功构建并在我的 android 手机中运行.但是突然有一天,当我运行命令“ionic cordova run android"时,我收到如下构建错误: 任务 ':transformClassesWithDexForDebug' 执行失败.com.android.build.api.transform.TransformException:com.andro ..
发布时间:2021-11-21 19:05:39 Android

Android Studio 中的 Ionic Cordova(未找到已安装的构建工具)

我在 ionic 2 中开发,我正在尝试在 Android Studio 中打开项目(来自 ionic android build). 我收到以下错误: 错误:未找到已安装的构建工具.请安装 Android 构建工具 19.1.0 或更高版本. 问题是构建工具已经安装: 我正在使用带有 ionic2 的最新版本的 cordova. 有什么想法吗? 解决方案 你 ..
发布时间:2021-11-21 19:01:16 Android

无法使用cordova执行aapt

我正在开发一个运行良好的cordova项目,当使用命令“cordova run android --设备". 我尝试删除和添加平台、运行 clean 命令、更新插件等等.不过这个错误只影响我的一个 Cordova 项目,当我尝试构建其他项目时没有错误. 这是输出: C:\Users\user\.gradle\caches\transforms-1\files-1.1\xwalk_co ..
发布时间:2021-11-21 18:50:04 Android

混合应用程序在 Android Studio 中崩溃并出现错误:会话“android":启动活动时出错

我对 Android Studio 和混合应用程序构建起诉cordova 有点陌生. 我正在尝试在 Android Studio 中构建 Salesforce 混合应用程序. 项目被清理并成功构建,没有任何错误. 但是,在将 APK 安装到模拟器时,它给出了一个错误 会话“android":启动活动时出错 在模拟器中它说: 不幸的是,应用程序已停止 我的堆栈跟踪如下: ..
发布时间:2021-11-21 18:44:27 Android

在 Android Studio 中导入 Cordova 项目

我正在尝试创建一个 Cordova 项目.创建项目 cordova create myProject 后,我想在 Android Studio 中打开它.问题是......它不起作用. CordovaLib 将不会构建并出现各种错误package android.*不存在. 有人知道如何在Android Studio中导入cordova项目吗? 解决方案 不幸的是,接受的答案有 ..
发布时间:2021-11-21 18:25:48 Android